Skip to navigation

Get contacts

View as Markdown

This method returns one or more contacts associated with a DocuSign account. You can also retrieve contacts from connected cloud storage providers by using the cloud_provider query parameter. By default, contacts are retrieved from the DocuSign account’s default address book.

To return a specific contact, use the contactId query parameter. To return all contacts associated with an account, omit this parameter.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

contactIdstringRequired

The ID of a contact person in the account’s address book.

Note: To return all contacts, omit this parameter. It is not required.

Query parameters

cloud_providerstringOptional

(Optional) The cloud provider from which to retrieve the contacts. Valid values are:

  • rooms
  • docusignCore (default)

Response

Successful response.
contactslist of objectsOptional
A list of contacts.
endPositionstringOptional
The last index position in the result set.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Errors

400
Bad Request Error